package com.zipcodewilmington.productmanager;

public class Inventory {
    private Product[] products;

    public Inventory(Product[] products) {
        this.products = products;
    }

    public int findQuantityTotals(int index) {
        return products[index].getQuantityOnHand();
    }

    public double findPriceOfItem(int index) {
        return products[index].getPrice();
    }

    public double sumOfInventoryValue(int index) {
        return findQuantityTotals(index) * findPriceOfItem(index);
    }

    public double totalValueOfAllInventory() {
        double totalValue = 0;
        for(int i = 0; i < products.length; i++) {
            totalValue += sumOfInventoryValue(i);
        }
        return totalValue;
    }

}



