package com.zipcodewilmington.productmanager;

import org.junit.Assert;
import org.junit.Test;

public class InventoryTest {

    // Given
    double price = 19.99;
    int quantityOnHand = 5;
    Product product = new Product(price, quantityOnHand);

    double price2 = 49.99;
    int quantityOnHand2 = 100;
    Product product2 = new Product(price2, quantityOnHand2);

    Product[] products ={product, product2};

    @Test
    public void testFindQuantityTotals() {
        // Given
        Inventory inventory = new Inventory(products);
        int index = 0;
        int expectedOutput = products[index].getQuantityOnHand();

        // When
        int actualOutput = inventory.findQuantityTotals(index);

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void testFindPriceOfItem() {
        // Given
        Inventory inventory = new Inventory(products);
        int index = 1;
        double expectedOutput = products[index].getPrice();

        // When
        double actualOutput = inventory.findPriceOfItem(index);

        // Then
        Assert.assertEquals(expectedOutput, actualOutput, 0.01);
    }

    @Test
    public void testSumOfInventoryValue() {
        // Given
        Inventory inventory = new Inventory(products);
        int index = 0;
        double expectedOutput = products[index].getPrice() * products[index].getQuantityOnHand();

        // When
        double actualOutput = inventory.sumOfInventoryValue(index);

        // Then
        Assert.assertEquals(expectedOutput, actualOutput, 0.01);
    }

    @Test
    public void testTotalValueOfAllInventory() {
        // Given
        Inventory inventory = new Inventory(products);
        double expectedOutput = 0;
        for(int i = 0; i < products.length; i++) {
            expectedOutput += inventory.sumOfInventoryValue(i);
        }

        // When
        double actualOutput = inventory.totalValueOfAllInventory();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput, 0.01);
    }
}
