package com.zipcodewilmington.productmanager;

import org.junit.Assert;
import org.junit.Test;

/**
 * Created by leon on 1/10/18.
 */
public class ProductTest {

    @Test
    public void testGetPrice() {
        // Given
        double expectedOutput = 19.99;
        int quantityOnHand = 5;
        Product product = new Product(expectedOutput, quantityOnHand);

        // When
        double actualOutput = product.getPrice();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput, 0.01);
    }

    @Test
    public void testGetId() {
        // Given
        double price = 19.99;
        int quantityOnHand = 5;
        Product product = new Product(price, quantityOnHand);
        int expectedOutput = 1;

        // When
        int actualOutput = product.getId();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }

    @Test
    public void testGetQuantityOnHand() {
        // Given
        double price = 19.99;
        int expectedOutput = 5;
        Product product = new Product(price, expectedOutput);

        // When
        int actualOutput = product.getQuantityOnHand();

        // Then
        Assert.assertEquals(expectedOutput, actualOutput);
    }
}
